Get a fabric template - Fabric
Get a fabric template
cURL
curl --request GET \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/ \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/fabric/{fabric_id}/templates/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Structure
200
{
"name": "production template",
"code": "production template",
"description": "Template for product and variant attributes in fabric PIM for the connected account of production staff",
"id": 16,
"direction": "export",
"data_type": "products",
"template_mappings": [
{"template list": "response"}
],
"created_at": "2025-03-10T15:24:56Z"
}
Authorizations
- Authorization:
Bearer <token>(required)
Path Parameters
- retailer_id (integer, required): Unique retailer ID.
- fabric_id (integer, required): Maps to your Platform Account ID.
- id (integer, required): Unique template identifier.
Response Information
- name: (string, required)
- code: (string, required)
- description: (string | null, required)
- id: (integer, read-only)
- direction: (enum
| null) - data_type: (enum
| null) - template_mappings: (string, read-only)
- created_at: (string
, read-only)
Response Example
Example Template
{
"name": "production template",
"id": 16
}